Home | All Classes | Main Classes | Annotated | Grouped Classes | Functions |

# QFileIconProvider Class Reference

The QFileIconProvider class provides file icon for the QDirModel class. More...

    #include <QFileIconProvider>

- List of all members, including inherited members

### Public Functions

- QFileIconProvider ()
- virtual ~QFileIconProvider ()
- virtual QIcon computerIcon () const
- virtual QIcon icon ( const QFileInfo & info ) const
- virtual QString type ( const QFileInfo & info ) const

## Detailed Description

The QFileIconProvider class provides file icon for the QDirModel class.

## Member Function Documentation

### QFileIconProvider::QFileIconProvider ()

Constructs a file icon provider.

### QFileIconProvider::~QFileIconProvider () `[virtual]`

Destroys the file icon provider.

### QIcon QFileIconProvider::computerIcon () const `[virtual]`

Returns an icon set for the computer.

### QIcon QFileIconProvider::icon ( const QFileInfo & info ) const `[virtual]`

Returns an icon for the file described by info.

### QString QFileIconProvider::type ( const QFileInfo & info ) const `[virtual]`

Returns the type of the file described by info.